/* BawesStencil custom elements */
export { JiraIssues as JiraIssues } from '../types/components/jira-issues/jira-issues';
export { JiraTeam as JiraTeam } from '../types/components/jira-team/jira-team';
export { MyComponent as MyComponent } from '../types/components/my-component/my-component';
export { PlugnStores as PlugnStores } from '../types/components/plugn-stores/plugn-stores';
export { TeamSalary as TeamSalary } from '../types/components/team-salary/team-salary';
export { WalletBalance as WalletBalance } from '../types/components/wallet-balance/wallet-balance';
export { WalletSendMoney as WalletSendMoney } from '../types/components/wallet-send-money/wallet-send-money';
export { XeroProfit as XeroProfit } from '../types/components/xero-profit/xero-profit';

/**
 * Used to manually set the base path where assets can be found.
 * If the script is used as "module", it's recommended to use "import.meta.url",
 * such as "setAssetPath(import.meta.url)". Other options include
 * "setAssetPath(document.currentScript.src)", or using a bundler's replace plugin to
 * dynamically set the path at build time, such as "setAssetPath(process.env.ASSET_PATH)".
 * But do note that this configuration depends on how your script is bundled, or lack of
 * bundling, and where your assets can be loaded from. Additionally custom bundling
 * will have to ensure the static assets are copied to its build directory.
 */
export declare const setAssetPath: (path: string) => void;

export interface SetPlatformOptions {
  raf?: (c: FrameRequestCallback) => number;
  ael?: (el: EventTarget, eventName: string, listener: EventListenerOrEventListenerObject, options: boolean | AddEventListenerOptions) => void;
  rel?: (el: EventTarget, eventName: string, listener: EventListenerOrEventListenerObject, options: boolean | AddEventListenerOptions) => void;
}
export declare const setPlatformOptions: (opts: SetPlatformOptions) => void;
export * from '../types';
